<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateTipoSociedad extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('tipo_sociedad')
			->addColumn('descripcion', 'string', ['length' => 100, 'null' => false])
			->addColumn('abreviacion', 'string', ['length' => 10, 'null' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
